package com.writeoff.module.meeting.repository;

import com.writeoff.module.meeting.model.Meeting;

import java.util.List;
import java.util.Optional;

public interface MeetingRepository {
    Meeting save(Meeting meeting);

    Optional<Meeting> findById(Long id);

    List<Meeting> findAll(boolean includeDeleted);

    void softDelete(Long id);
}
